
QGIS Application - Bug report #21913

attribute header names are not saved

2019-04-23 02:58 PM - rawan gis

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.6.2 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29728

Description

Hello

when adding attribute table to the layout,the header name for fields can be changed but it  will not be saved, so if I closed QGIS and open

it again the header name will be the original name.

regards

History

#1 - 2019-04-23 08:10 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Easy fix? changed from Yes to No

Cannot confirm here on Linux. Can you attach a sample project and sample data that shows this problem? Thanks.

#2 - 2019-04-24 07:24 AM - rawan gis

- File headercustumized.pdf added

- File headernotsaved.pdf added

HI

the attached file include two pdf files one with the column header customized and the other show that the customized header was not saved.

Regards

#3 - 2019-04-24 07:49 AM - rawan gis

- File attributesheader.jpg added

HI

the attached file include two pdf files one with the column header customized and the other show that the customized header was not saved although I

saved both the layout and the project this problem appears in any project regarding the data in all QGIS 3 versions

Regards

#4 - 2019-04-24 10:59 AM - Giovanni Manghi

rawan gis wrote:
HI

the attached file include two pdf files one with the column header customized and the other show that the customized header was not saved

although I saved both the layout and the project this problem appears in any project regarding the data in all QGIS 3 versions

Regards

please attach an actual sample project+data

#5 - 2019-04-24 11:36 AM - rawan gis

thanks. I think it is fixed now but if the layout with the attribute  is created using previous versions then the attribute table should be deleted and added

again to save the header

#6 - 2019-04-24 01:26 PM - Giovanni Manghi

rawan gis wrote:

thanks. I think it is fixed now but if the layout with the attribute  is created using previous versions then the attribute table should be deleted and

added again to save the header

I would love to try a project where is possible to see this issue...

#7 - 2019-04-24 02:21 PM - rawan gis

- File atlas2.rar added

kindly see the attached project in which the layout has an attribute that was added in QGIS version 2.18 and its header can not be saved .its small project

since the allowed uploaded only 5mb

regards

#8 - 2019-04-24 03:45 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Subject changed from attribute header to attribute header names are not saved

- Category changed from Attribute table to Map Composer/Printing

Files

headercustumized.pdf 4.46 MB 2019-04-24 rawan gis

headernotsaved.pdf 4.47 MB 2019-04-24 rawan gis

attributesheader.jpg 547 KB 2019-04-24 rawan gis

atlas2.rar 129 KB 2019-04-24 rawan gis
